Bug 765802 - Review Request: indimpc - A minimalist MPD client with support for the gnome-shell and multimedia keys
Review Request: indimpc - A minimalist MPD client with support for the gnome-...
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christian Krause
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-09 08:22 EST by Ankur Sinha (FranciscoD)
Modified: 2015-12-12 10:56 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
chkr: fedora‑review?


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2011-12-09 08:22:57 EST
Spec URL: http://ankursinha.fedorapeople.org/indimpc/indimpc.spec
SRPM URL: http://ankursinha.fedorapeople.org/indimpc/indimpc-0-0.20111209.git.fc17.src.rpm
Description: 
This is a minimalist MPD client with support for the gnome-shell indication
system and multimedia keys. It is easily configurable and can launch a more
featured client when needed.

It depends on:

    python-dbus (dbus-python in some systems)
    python-notify
    python-mpd
    python-keybinder (not needed if using Gnome)

For its normal operation, indimpc requires a notifications daemon, hopefully
with support for action-icons, body-markup and persistence (gnome-shell is
recommended). If there is no instance of gnome-settings-daemon running, it will
fallback to python-keybinder to grab the multimedia keys.


-------------------------------------------------------------------------------

rpmlint output:

[ankur@ankur SRPMS]$ rpmlint indimpc-0-0.20111209.git.fc16.src.rpm /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm ../SPECS/indimpc.spec
indimpc.src: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
indimpc.src: W: spelling-error %description -l en_US mpd -> mod, mp, pd
indimpc.src: W: spelling-error %description -l en_US keybinder -> key binder, key-binder, bindery
indimpc.src: W: strange-permission fmoralesc-indimpc-2313a1a.tar.gz 0640L
indimpc.src: W: invalid-url Source0: fmoralesc-indimpc-2313a1a.tar.gz
indimpc.noarch: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
indimpc.noarch: W: spelling-error %description -l en_US mpd -> mod, mp, pd
indimpc.noarch: W: spelling-error %description -l en_US keybinder -> key binder, key-binder, bindery
indimpc.noarch: W: no-manual-page-for-binary indimpc
indimpc.src: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
indimpc.src: W: spelling-error %description -l en_US mpd -> mod, mp, pd
indimpc.src: W: spelling-error %description -l en_US keybinder -> key binder, key-binder, bindery
indimpc.src: W: strange-permission fmoralesc-indimpc-2313a1a.tar.gz 0640L
indimpc.src: W: invalid-url Source0: fmoralesc-indimpc-2313a1a.tar.gz
../SPECS/indimpc.spec: W: invalid-url Source0: fmoralesc-indimpc-2313a1a.tar.gz
3 packages and 1 specfiles checked; 0 errors, 15 warnings.
[ankur@ankur SRPMS]$
Comment 1 Christian Krause 2011-12-18 18:37:49 EST
Sorry for the delay, here is now the full review:

* rpmlint: OK (one minor non-blocking TODO)
rpmlint RPMS/noarch/indimpc-0-0.20111209.git.fc16.noarch.rpm SRPMS/indimpc-0-0.20111209.git.fc16.src.rpm SPECS/indimpc.spec 
indimpc.noarch: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
indimpc.noarch: W: spelling-error %description -l en_US mpd -> mod, mp, pd
indimpc.noarch: W: spelling-error %description -l en_US keybinder -> key binder, key-binder, bindery
indimpc.noarch: W: no-manual-page-for-binary indimpc
indimpc.src: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
indimpc.src: W: spelling-error %description -l en_US mpd -> mod, mp, pd
indimpc.src: W: spelling-error %description -l en_US keybinder -> key binder, key-binder, bindery
indimpc.src: W: strange-permission fmoralesc-indimpc-2313a1a.tar.gz 0640L
indimpc.src: W: invalid-url Source0: fmoralesc-indimpc-2313a1a.tar.gz
SPECS/indimpc.spec: W: invalid-url Source0: fmoralesc-indimpc-2313a1a.tar.gz
2 packages and 1 specfiles checked; 0 errors, 10 warnings.

These warnings are false-positives:
- spelling errors for words not found in the dictionary
- invalid Source0 URL: normal for VCS checkouts
- no manual: not provided by upstream

TODO: I don't think that the source tarball needs to be world-readable, but it would be probably better to change its permission to 644 to avoid the rpmlint warning.

* naming: OK
- name does matches upstream
- spec file name matches package name

* version/release tags: OK
- all rules for snapshot builds correctly applied

* License: OK
- license file packaged: OK
- BSD acceptable

* specfile in American English and legible: OK

* %description: OK

* Sources: TODO
- the source matches upstream's git HEAD
- although
http://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control
is not very specific whether it is required, I strongly recommend to add the commands used to reproduce the exact tarball (should include git commit hash)

* Python specific defines: OK (with non-blocking TODO) 
- unless you plan to support RHEL 5 or older it is not necessary to define
python_sitelib / _sitearch anymore:
http://fedoraproject.org/wiki/Packaging:Python#Macros

* Compilation: OK
- package does build in koji

* debuginfo sub-package: n/a

* BuildRequires: OK

* Requires: TODO
- since indimpc starts ncmpc++ (in a gnome-terminal) per default, I suggest adding gnome-terminal and ncmpcpp as Requires
- since indimpc's .desktop file uses GNOME's stock icon "gnome-multimedia" please add gnome-icon-theme-legacy as additional Requires

* %install section: OK (non-blocking TODO)
- rm -rf $RPM_BUILD_ROOT is not necessary in any recent Fedora releases

* Locales handling: OK (n/a)

* shared/static libs, pkgconfig/header/*.la files: OK (n/a)

* packages must own all directories: OK

* files not listed twice: OK

* permissions of files: OK

* %clean section: OK (n/a)

* macro usage: OK

* code vs. content: OK (no content)

* large documentation into subpackage: OK (n/a)

* GUI application needs %{name}.desktop: OK

* no directories owned which are already owned by other packages: OK

* all file names UTF8: OK

* functional test: OK 
- indimpc works fine in gnome-shell

* Scriptlets: OK (n/a)

Summary:
- Package looks good!
- two blocking issues:
* document how exactly the tarball can be reproduced
* add missing Requires
Comment 2 Ankur Sinha (FranciscoD) 2012-03-11 09:45:23 EDT
Hello,

* Sun Mar 11 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0-1.20111209.git
- Add requires on ncmpc++
- Added a README.fedora file
- Added comment on how to obtain the source tar


New spec/srpm:

http://ankursinha.fedorapeople.org/indimpc/indimpc.spec

http://ankursinha.fedorapeople.org/indimpc/indimpc-0-1.20111209.git.fc18.src.rpm

Thanks,
Ankur
Comment 3 Upstream Release Monitoring 2015-12-12 10:56:10 EST
seandarcy's scratch build of mpd-0.19.12-0.20151212.fc22.src.rpm for f22 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12164432

Note You need to log in before you can comment on or make changes to this bug.